> For the complete documentation index, see [llms.txt](https://docs.coupler.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coupler.io/sources/category/social-media/facebook-page-insights/data-overview/meta-facebook-insights-deprecated-metrics-june-2026.md).

# Meta (Facebook Insights): deprecated metrics - June 2026

Meta has deprecated a set of reach and impressions metrics across the Facebook Page Insights API as part of Graph API v25.0 (released February 18, 2026).

> ⚠️ **Important:** The new metrics listed below are **not 1:1 replacements** for the deprecated ones. They use a different measurement methodology (total unique media views vs. the former reach/impressions model). Historical data for removed metrics will no longer be available via the API.

**Meta official references:**

* [Deprecated Page Insights Metrics](https://developers.facebook.com/docs/platforminsights/page/deprecated-metrics)
* [Graph API v25 & Marketing API v25 Announcement](https://developers.facebook.com/blog/post/2026/02/18/introducing-graph-api-v25-and-marketing-api-v25/)

***

#### Page: Performance Insights

**New metric added:** Unique content viewers (`page_total_media_view_unique`) — the number of total unique media viewers for a Facebook Page.

<table><thead><tr><th width="164.3046875">Metric (UI label)</th><th width="306.02734375">API name (deprecated)</th><th>Replacement metric</th></tr></thead><tbody><tr><td>Reach</td><td><code>page_impressions_unique</code></td><td>Unique content viewers (<code>page_total_media_view_unique</code>)</td></tr><tr><td>Paid reach</td><td><code>page_impressions_paid_unique</code></td><td>—</td></tr><tr><td>Viral reach</td><td><code>page_impressions_viral_unique</code></td><td>—</td></tr><tr><td>Non-viral reach</td><td><code>page_impressions_nonviral_unique</code></td><td>—</td></tr><tr><td>Posts impressions</td><td><code>page_posts_impressions</code></td><td>—</td></tr><tr><td>Posts organic impressions</td><td><code>page_posts_impressions_organic</code></td><td>—</td></tr><tr><td>Posts paid impressions</td><td><code>page_posts_impressions_paid</code></td><td>—</td></tr><tr><td>Posts reach</td><td><code>page_posts_impressions_unique</code></td><td>—</td></tr><tr><td>Posts organic reach</td><td><code>page_posts_impressions_organic_unique</code></td><td>—</td></tr><tr><td>Posts paid reach</td><td><code>page_posts_impressions_paid_unique</code></td><td>—</td></tr><tr><td>Posts served organic reach</td><td><code>page_posts_served_impressions_organic_unique</code></td><td>—</td></tr><tr><td>Posts viral impressions</td><td><code>page_posts_impressions_viral</code></td><td>—</td></tr><tr><td>Posts non-viral impressions</td><td><code>page_posts_impressions_nonviral</code></td><td>—</td></tr><tr><td>Posts viral reach</td><td><code>page_posts_impressions_viral_unique</code></td><td>—</td></tr><tr><td>Posts non-viral reach</td><td><code>page_posts_impressions_nonviral_unique</code></td><td>—</td></tr><tr><td>Video views - unique</td><td><code>page_video_views_unique</code></td><td>—</td></tr></tbody></table>

***

#### Post: Posts Lifetime Performance

**New metric added:** Unique post viewers (`post_total_media_view_unique`) — the number of total unique media viewers for a Facebook post.

| Metric (UI label)                    | API name (deprecated)              | Replacement metric                                   |
| ------------------------------------ | ---------------------------------- | ---------------------------------------------------- |
| Reach                                | `post_impressions_unique`          | Unique post viewers (`post_total_media_view_unique`) |
| Organic reach                        | `post_impressions_organic_unique`  | —                                                    |
| Paid reach                           | `post_impressions_paid_unique`     | —                                                    |
| Viral reach                          | `post_impressions_viral_unique`    | —                                                    |
| Non-viral reach                      | `post_impressions_nonviral_unique` | —                                                    |
| Reach from fans (page likers)        | `post_impressions_fan_unique`      | —                                                    |
| Video views (unique users)           | `post_video_views_unique`          | —                                                    |
| Video views - organic (unique users) | `post_video_views_organic_unique`  | —                                                    |
| Video views - paid (unique users)    | `post_video_views_paid_unique`     | —                                                    |

***

#### Post: Reels Lifetime Performance

| Metric (UI label) | API name (deprecated)     | Replacement metric |
| ----------------- | ------------------------- | ------------------ |
| Reach             | `post_impressions_unique` | —                  |

***

#### Post: Video Daily Performance

| Metric (UI label)          | API name (deprecated)     | Replacement metric |
| -------------------------- | ------------------------- | ------------------ |
| Video views (unique users) | `post_video_views_unique` | —                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coupler.io/sources/category/social-media/facebook-page-insights/data-overview/meta-facebook-insights-deprecated-metrics-june-2026.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
